%define upstream_name    Hash-AutoHash
%define upstream_version 1.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Object-oriented access to real and tied hashes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.580.0
BuildRequires: perl(List::MoreUtils) >= 0.90.0
BuildRequires: perl(Module::Build) >= 0.400.700
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Test::Deep) >= 0.110.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Content)
BuildRequires: perl(Tie::Hash) >= 1.0.0
BuildRequires: perl(Tie::Hash::MultiValue)
BuildRequires: perl(Tie::ToObject)
BuildArch:  noarch

%description
This is yet another module that lets you access or change the elements of a
hash using methods with the same name as the element's key. It follows in
the footsteps of the Hash::AsObject manpage, the Hash::Inflator manpage,
the Data::OpenStruct::Deep manpage, the Object::AutoAccessor manpage, and
probably others. The main difference between this module and its forebears
is that it supports tied hashes, in addition to regular hashes. This allows
a modular division of labor: this class is generic and treats all hashes
the same; any special semantics come from the tied hash.

The class has a 'new' method but also supplies several functions for
constructing new Hash::AutoHash objects. Except in the simplest cases, we
recommend using the constructor functions rather than 'new'.

The constructor functions shown in the SYNOPSIS are all you need for
typical uses. autohash_hash creates a new 'real' (ie, not tied)
Hash::AutoHash object; autohash_tie creates a new tied Hash::AutoHash
object. Once the objects are constructed, the class treats them the same
way.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.170.0-7.mga6
+ Revision: 1028187
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.170.0-6.mga6
+ Revision: 949732
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.170.0-5.mga5
+ Revision: 790398
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.170.0-4.mga5
+ Revision: 738922
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.170.0-3.mga5
+ Revision: 685021
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.170.0-2.mga4
+ Revision: 539480
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 1.170.0-1.mga4
+ Revision: 492179
- update to 1.17

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 368338
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.160.0-1.mga3
+ Revision: 342201
- update to 1.16

* Wed Sep 26 2012 jquelin <jquelin> 1.150.0-1.mga3
+ Revision: 298007
- update to 1.15

* Mon Sep 10 2012 jquelin <jquelin> 1.140.0-1.mga3
+ Revision: 291689
- update to 1.14

* Sat Jan 22 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 32086
- mageia rebuild
- imported package perl-Hash-AutoHash

